> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fexco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping Service

> # Ping Service
Verify if the service is up



## OpenAPI

````yaml /openapi/dhs-flex-v3.json get /heartbeat
openapi: 3.0.1
info:
  title: DCC - DHS Rest
  version: 3.0.0
  description: >
    ## Summary


    The DHS REST interface uses HTTPS protocol to obtain rates from DHS. REST is
    an acronym for Representational State

    Transfer. Whether you are implementing MCP, DCC, or both, you can use the
    REST requests interchangeably. Implementing

    DHS REST requires the Fexco merchant ID (MID), ATM ID, and the merchant's
    acquirer ID as part of all REST requests. The

    merchant ID, ATM ID, and acquirer ID will be supplied by your Fexco project
    manager.


    ### About Fexco's Foreign Exchange Rates


    Fexco refreshes its foreign exchange rates six times per day every financial
    trading day. Your website has the option to

    update foreign exchange (FX) rates once per day or several times during the
    day. Whether your business requires exchange

    rates several times per day or only one set of rates per day is a decision
    that entails some consideration.


    #### Disclaimer


    The rates used here are static and are used for the purposes of executing
    API calls.


    ### About Dynamic Currency Conversion (DCC)


    DCC is a payment card service that facilitates the payment of goods and
    services in the currency of the cardholder. The

    key components of a DCC transaction are identifying the currency of the card
    and supplying the equivalent foreign

    currency amount. DCC is typically offered to international cardholders when
    making a purchase at a point of sale (POS)

    or point of interaction (POI) device. Upon entering their credit card on the
    POS device, the cardholder is presented

    with the choice to pay in either the local currency or the currency in which
    the card is issued—referred to as the

    cardholder's home currency. Depending on ATM transaction, merchant's POS, or
    website configuration, DCC enabled services

    will do one of the following:


    * Collect exchange rates from DHS once a day. In this scenario, the rates
    are stored locally and applied at the POS each
      time a valid DCC transaction is carried out.
    * Request a rate directly from DHS on a transaction basis. In this scenario,
    a request message is sent to DHS and if the
      card currency (identified by the BIN and CID) is eligible for DCC, DHS responds with the cardholder's currency amount
      and exchange rate
  contact:
    name: Fexco Drive Development Team
    url: https://www.fexco.com
servers:
  - url: https://api.example.com/dhsv2
    description: Replace with your DHS environment base URL
security: []
paths:
  /heartbeat:
    get:
      tags:
        - V2 - Ping
      summary: Ping Service
      description: |-
        # Ping Service
        Verify if the service is up
      operationId: getPing
      responses:
        '200':
          description: Return the word 'ok'
          content:
            '*/*':
              schema:
                type: string
                example: ok
              examples:
                healthy:
                  summary: Service is available
                  value: ok
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseError'
              examples:
                invalidRequest:
                  summary: Invalid heartbeat request
                  value:
                    timestamp: '2026-09-15T10:25:30Z'
                    url: /dhsv2/heartbeat
                    error: BAD_REQUEST
                    status: 400
                    message: Bad Request
        '500':
          description: General Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseError'
              examples:
                serviceError:
                  summary: Health check failed
                  value:
                    timestamp: '2026-09-15T10:25:30Z'
                    url: /dhsv2/heartbeat
                    error: INTERNAL_SERVER_ERROR
                    status: 500
                    message: An unexpected error occurred
components:
  schemas:
    ResponseError:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          description: >-
            The timestamp format is expressed according to ISO8601 with the
            combined date and time in coordinated universal time (UTC).
            YYYYMMDDTHH:MM:SS.000+0000 
          example: 20141023T11:43:45.000+0000
        url:
          type: string
          description: Requested URL
          example: /dhsv2/acquirers/TST/merchants/11111111/dccoffers
        error:
          type: string
          description: Error title
          example: NOT_FOUND
        status:
          type: number
          description: Status code
          example: 404
        message:
          type: string
          description: Error message
          example: No such Merchant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.